TREC 2001 VideoTrack: Known-Items Task Evaluation: Class xmlContentHandler

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class xmlContentHandler

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--xmlContentHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class xmlContentHandler
extends org.xml.sax.helpers.DefaultHandler

A class that extends DefaultHandler classes of Java Xml SAX API. This class is used to get Xml data from the Xml parser and return them in defined formats (Hastable, Segmentation instances...).

Constructor Summary
`xmlContentHandler(java.io.Writer out, int maxAllowedItems)` Constructs an instance of this class with the given Writer as the output writer used to get information during parsing...

Method Summary
`void` | `characters(char[] buf, int offset, int len)` SAX DocumentHandler method.
`void` | `endDocument()` SAX DocumentHandler method.
`void` | `endElement(java.lang.String namespaceURI, java.lang.String sName, java.lang.String qName)` SAX DocumentHandler method.
`void` | `error(org.xml.sax.SAXParseException e)` SAX ErrorHandler method.
`RefSegmentation` | `getRefSegmentation()` Returns the reference known-items parsed from one Xml file per topic in the reference.
`java.util.Hashtable` | `getSystemResults()` Returns the systemResults parsed and contained in an Hashtable.
`void` | `ignorableWhitespace(char[] buf, int offset, int len)` SAX DocumentHandler method.
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` SAX DocumentHandler method.
`void` | `setDocumentLocator(org.xml.sax.Locator l)` SAX DocumentHandler method.
`void` | `startDocument()` SAX DocumentHandler method.
`void` | `startElement(java.lang.String namespaceURI, java.lang.String lName, java.lang.String qName, org.xml.sax.Attributes attrs)` SAX DocumentHandler method used to recognized Xml tags and get the information in the required Hashtable or any data structure for later use.
`void` | `warning(org.xml.sax.SAXParseException err)` SAX ErrorHandler method.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endPrefixMapping, fatalError, notationDecl, resolveEntity, skippedEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### xmlContentHandler

    public xmlContentHandler(java.io.Writer out,
                             int maxAllowedItems)

  Constructs an instance of this class with the given Writer as the output writer used to get information during parsing...

Method Detail

### getRefSegmentation

    public RefSegmentation getRefSegmentation()

  Returns the reference known-items parsed from one Xml file per topic in the reference. Actually currentSeg is returned cause it contains either the current parsed reference segmentation or a segmentation of a system.

### getSystemResults

    public java.util.Hashtable getSystemResults()

  Returns the systemResults parsed and contained in an Hashtable.

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator l)

  SAX DocumentHandler method.
  Overrides:
    `setDocumentLocator` in class `org.xml.sax.helpers.DefaultHandler`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  SAX DocumentHandler method.
  Overrides:
    `startDocument` in class `org.xml.sax.helpers.DefaultHandler`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  SAX DocumentHandler method.
  Overrides:
    `endDocument` in class `org.xml.sax.helpers.DefaultHandler`

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String lName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attrs)
                      throws org.xml.sax.SAXException

  SAX DocumentHandler method used to recognized Xml tags and get the information in the required Hashtable or any data structure for later use.
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String sName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  SAX DocumentHandler method.
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`

### characters

    public void characters(char[] buf,
                           int offset,
                           int len)
                    throws org.xml.sax.SAXException

  SAX DocumentHandler method.
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`

### ignorableWhitespace

    public void ignorableWhitespace(char[] buf,
                                    int offset,
                                    int len)
                             throws org.xml.sax.SAXException

  SAX DocumentHandler method.
  Overrides:
    `ignorableWhitespace` in class `org.xml.sax.helpers.DefaultHandler`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  SAX DocumentHandler method.
  Overrides:
    `processingInstruction` in class `org.xml.sax.helpers.DefaultHandler`

### error

    public void error(org.xml.sax.SAXParseException e)
               throws org.xml.sax.SAXParseException

  SAX ErrorHandler method. Treats validation errors as fatal
  Overrides:
    `error` in class `org.xml.sax.helpers.DefaultHandler`

### warning

    public void warning(org.xml.sax.SAXParseException err)
                 throws org.xml.sax.SAXParseException

  SAX ErrorHandler method. Dumps warnings.
  Overrides:
    `warning` in class `org.xml.sax.helpers.DefaultHandler`

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov